Limerence
Google chat

Get Google Chat Status

Check if Google Chat integration is configured (Pub/Sub mode)

GET
/google-chat/status

Check if Google Chat integration is configured (Pub/Sub mode)

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/google-chat/status"
{  "config": null,  "configured": true,  "connectionType": "pubsub",  "details": {    "pubsubConfigured": true,    "serviceAccountConfigured": true,    "subscriptionName": null  }}
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "auth/jwt-invalid",    "detail": "malformed"  },  "message": "Token verification failed"}
{  "cause": {    "code": "api/no-active-team",    "detail": "You must have an active team. Please select a team to continue."  },  "message": "No active team"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}